## com.imcode.imcms.api
Class I18nMeta

    java.lang.Object
      com.imcode.imcms.api.I18nMeta

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class I18nMeta

extends java.lang.Object
implements java.io.Serializable, java.lang.Cloneable

I18n-ed part of meta.

See Also:
  Serialized Form

Constructor Summary
`I18nMeta()`

Method Summary
`I18nMeta` `clone()`
`boolean` `equals(java.lang.Object o)`
`java.lang.Boolean` `getEnabled()`
`java.lang.String` `getHeadline()`
`java.lang.Long` `getId()`
`java.util.Set<java.lang.String>` `getKeywords()`
`I18nLanguage` `getLanguage()`
`java.lang.String` `getMenuImageURL()`
`java.lang.String` `getMenuText()`
`java.lang.Integer` `getMetaId()`
`int` `hashCode()`
`void` `setEnabled(java.lang.Boolean enabled)`
`void` `setHeadline(java.lang.String headline)`
`void` `setId(java.lang.Long id)`
`void` `setKeywords(java.util.Set<java.lang.String> keywords)`
`void` `setLanguage(I18nLanguage language)`
`void` `setMenuImageURL(java.lang.String image)`
`void` `setMenuText(java.lang.String text)`
`void` `setMetaId(java.lang.Integer metaId)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### I18nMeta

    public I18nMeta()

Method Detail

### clone

    public I18nMeta clone()

  Overrides:
    `clone` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getHeadline

    public java.lang.String getHeadline()

### setHeadline

    public void setHeadline(java.lang.String headline)

### getMenuText

    public java.lang.String getMenuText()

### setMenuText

    public void setMenuText(java.lang.String text)

### getMenuImageURL

    public java.lang.String getMenuImageURL()

### setMenuImageURL

    public void setMenuImageURL(java.lang.String image)

### getLanguage

    public I18nLanguage getLanguage()

### setLanguage

    public void setLanguage(I18nLanguage language)

### getId

    public java.lang.Long getId()

### setId

    public void setId(java.lang.Long id)

### getMetaId

    public java.lang.Integer getMetaId()

### setMetaId

    public void setMetaId(java.lang.Integer metaId)

### getEnabled

    public java.lang.Boolean getEnabled()

### setEnabled

    public void setEnabled(java.lang.Boolean enabled)

### getKeywords

    public java.util.Set<java.lang.String> getKeywords()

### setKeywords

    public void setKeywords(java.util.Set<java.lang.String> keywords)